@use './styles/typography-meta.variables' as *;

:host {
  @include digi-typography-meta--variables;

  .digi-typography-meta__meta {
    &,
    &::slotted(*) {
      font-weight: var(--digi--typography-meta--meta--font-weight);
    }
  }

  .digi-typography-meta__meta-secondary {
    &,
    &::slotted(*) {
      font-weight: var(--digi--typography-meta--meta-secondary--font-weight);
    }
  }

  .digi-typography-meta {
    font-size: var(--digi--typography-meta--font-size);
    font-family: var(--digi--typography-meta--font-family);

    &--variation-primary {
      .digi-typography-meta__meta {
        --digi--typography-meta--meta--font-weight: var(
          --digi--typography-meta--font-weight--semibold
        );
      }
    }

    &--variation-secondary {
      .digi-typography-meta__meta-secondary {
        --digi--typography-meta--meta-secondary--font-weight: var(
          --digi--typography-meta--font-weight--semibold
        );
      }
    }
  }
}
